Bug 187433 - Review Request: acx-kmod - Open ACX100/ACX111 wireless NIC driver
Review Request: acx-kmod - Open ACX100/ACX111 wireless NIC driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 16:34 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 13:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-03-30 16:34:22 EST
Spec Name or Url: http://rpm.greysector.net/extras/acx-kmod.spec
SRPM Name or Url: http://rpm.greysector.net/extras/acx-kmod-0.3.35-0.2.20060215.2.6.15_1.1833_FC4.src.rpm
Description:
ACX100 is an open source driver for ACX100/ACX111 WiFi chipsets.
Comment 1 Matthias Saou 2006-03-31 12:45:52 EST
This driver doesn't work without some firmware files, so I'm not 100% sure it
really belongs into Extras. I've also built acx-kmod and acx-kmod-common
packages, which are available here :
http://svn.rpmforge.net/svn/trunk/rpms/acx-kmod/
http://svn.rpmforge.net/svn/trunk/rpms/acx-kmod-common/
As well as two packages for the main firmwares.

Sure, ipw2xxx modules are agood example of free drivers that require a
non-included firmware to work, but since they're built from the main kernel, I
myself consider it somewhat different.
Comment 2 Ville Skyttä 2006-03-31 15:34:56 EST
bcm43xx is another example which requires firmware files.  If that's good enough
an arrangement for the main kernel package, I don't see why it wouldn't be for
external modules per se.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-04-02 16:10:15 EDT
Ideally, the -common package should contain the firmwares IMHO. But since it's
questionable whether it's distributable, this is what we're stuck with.
Comment 4 Callum Lerwick 2006-04-03 02:19:16 EDT
Note that D-Link Deutschland GmbH has apparently given unlimited distribution
rights to their ACX1xx firmware. This would seem to meet the Fedora binary
firmware packaging guidelines. 

http://lists.debian.org/debian-legal/2005/01/msg00989.html
http://fedoraproject.org/wiki/Packaging/Guidelines#head-adf31c383612aac313719f7b4f8167b7dcf245d2

With the small snag that I can't figure out exactly what firmware this covers,
or the full original message that gives the permission. I guess this means you
can just download the windows drivers from D-Link and pull the firmware files out.

As far as what firmware you need for which chip:

http://acx100.sourceforge.net/wiki/Firmware
Comment 5 Dominik 'Rathann' Mierzejewski 2006-09-21 13:26:34 EDT
The PCMCIA port on my laptop has died, I have no means to test this anymore, so
I'm withdrawing this.

Note You need to log in before you can comment on or make changes to this bug.